/*
 Problema: dado um numero inteiro n>0, gerar a
 seguencia dos n-primeiros numeros naturais,
 calcular e imprimir a soma desses numeros.
 Isto eh dado um numero inteiro n>0, calcular
 a soma = 1 + 2 + 3 +...+ n

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - gerar um elemento da sequencia (um de cada vez);
       3.2 - somar o valor gerado;
  4 - imprimir o valor obtido para soma;

 descricao das variaveis - declare
  n - numero de elementos a serem gerados(numero de repeticoes)
  i - contador de repeticao, usado para obter a sequencia de numeros
  x - nmero a ser somado
  s - registrador do total da soma
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */

int main ()
{
  int n; /* numero de repeticao */
  int i; /* contador de repeticao */
  int x; // nmero a ser somado
  int s; // registrador do total da soma

  printf ("\nDigite o valor de n: ");
  scanf ("%d", &n);
  s = 0; // zerar registrador do total da soma
  i = 1; // iniciar o contador, para gerar o primeiro nmero
  while (i <= n)
  {//inicio-while
    x = i; // gerar (definir) o nmero a ser somado
    s = s + x; // somar o nmero x: registra em s o valor de x
    i = i + 1; // contar, e gerar o prximo nmero
  }//fim-while
  printf ("\nsoma:  %d", s); // Saida de dados: mostrar o resultado da soma

  printf ("\n"); //vai para uma nova linha - saltar linha
  return 0;
}
