/*
 Problema: dado um numero inteiro n>0, gerar e imprimir a
 seguencia dos n-primeiros numeros naturais impares. Isto eh dado
 um numero inteiro n>0, obter a sequencia: 1, 3, 5, ..., 2n-1

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - gerar um elemento da sequencia (um de cada vez);
       3.2 - imprimir o valor gerado;

 descricao das variaveis
  n - numero de elementos a serem gerados(numero de repeticoes)
  i - contador de repeticao, usado para obter a sequencia de numeros
  x - guarda o numero gerado, em cada passo

*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */

int main ()
{
  int n; /* numero de repeticao */
  int i; /* contador de repeticao */
  int x; /* nmero gerado (um elemento da sequencia)  */

  printf ("\nDigite o valor de n: ");
  scanf ("%d", &n);
  printf ("\nSequencia gerada: ");
  i = 1; // iniciar contador para gerar o primeiro nmero
  while (i <= n)
  {
    x = (2*i - 1); //obtem o i-esimo nmero
    printf ("\n x =  %d", x); //escreve a mensagem: x =
                              //seguida do valor de x(numero inteiro)
    i = i + 1; //contar, e gerar o proximo nmero
  }

  printf ("\n"); //vai para uma nova linha - saltar linha
  return 0;
}
