/*
 Problema: dado um conjunto com n numeros reais, obter a
 media aritmetica destes numeros.
 Isto eh dado um conjunto com n numeros reais, calcular
 e imprimir a media aritmetica destes numeros
 (n  um numero inteiro, n>0).

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - ler(digitar) um numero do conjunto, de cada vez;
       3.2 - somar o valor lido(digitado);
  4 - calcular a media aritmetica;
  5 - imprimir o valor obtido para media;

 descricao das variaveis
  n - tamanho do conjunto
    - numero de elementos do conjunto(numero de repeticoes)
  i - contador de repeticao (indice - controlador da repeticao)
  x - guarda um valor digitado(representa 1 numero)
  x - recebe o numero lido, em cada passo
  s - guarda a soma dos numeros digitados(soma parcial , ..., total)
  ma - representa a media aritmetica
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */

int main ()
{
  int n; /* tamanho do conjunto = numero de parcelas = numero de repeticao */
  int i; /* contador de repeticao */
  float x; /* numero somado - parcela */
  float s; /* soma dos numeros */
  float ma; /* media aritmetica dos numeros */

  printf ("\nDigite o valor de n: ");
  scanf ("%d", &n);
  s = 0; //zerar a soma - define o valor inicial da soma
  printf ("\nDigite os elementos do conjunto para soma-los\n");
  i = 1; //ler o primeiro elemento do conjumto
  while(i <= n)
  {
    printf ("digite um valor para x: ");
    scanf ("%f", &x); //obtem o i-esimo numero(voce digita e o programa l)
    s = s + x;  //somar o numero lido(digitado)
    i = i + 1; //contar, para ler o proximo numero e fazer a soma
  }
  ma = s/n;
  printf ("media aritmetica dos numeros do conjunto = %f", ma);

  printf("\n");
  return 0;
}
